Index: /DCWoRMS/trunk/build/classes/schedframe/scheduling/tasks/TaskInterface.java
===================================================================
--- /DCWoRMS/trunk/build/classes/schedframe/scheduling/tasks/TaskInterface.java	(revision 477)
+++ /DCWoRMS/trunk/build/classes/schedframe/scheduling/tasks/TaskInterface.java	(revision 539)
@@ -6,4 +6,5 @@
 import org.joda.time.ReadableDuration;
 
+import schedframe.DescriptionContainer;
 import schedframe.scheduling.tasks.requirements.ResourceParameterName;
 
@@ -14,5 +15,5 @@
  *
  */
-public interface TaskInterface<T> extends WorkloadUnit<T> {
+public interface TaskInterface<T> extends WorkloadUnit, DescriptionContainer<T> {
 	
 	/**
@@ -20,5 +21,5 @@
 	 * @return task identifier
 	 */
-	public abstract String getId();
+	//public abstract String getId();
 	
 	/**
@@ -33,5 +34,5 @@
 	 * submitted this task. 
 	 */
-	public abstract String getUserDn();
+	public abstract String getUserDN();
 	
 	/**
@@ -87,16 +88,10 @@
 	 */
 	public long getLength();
-	
-	/**
-	 * 
-	 * @param length measured in instructions.
-	 */
-	public void setLength(long length);
-	
+
 	/**
 	 * 
 	 * @return constant which represent current task status
 	 */
-	public int getStatus();
+	//public int getStatus();
 	
 	
@@ -107,5 +102,5 @@
 	public List<AbstractProcesses> getProcesses(AbstractProcessesGroup processGroup);
 	
-	public void setStatus(int status) throws Exception;
+	//public void setStatus(int status) throws Exception;
 	
 	public double getCpuCntRequest() throws NoSuchFieldException;
@@ -114,8 +109,5 @@
 	
 	public long getWorkloadLogWaitTime();
-	
-	//public void addToResPath(String resName);
-	
-	//public String getResPath();
+
 		
 }
Index: /DCWoRMS/trunk/build/classes/schedframe/scheduling/tasks/AbstractProcesses.java
===================================================================
--- /DCWoRMS/trunk/build/classes/schedframe/scheduling/tasks/AbstractProcesses.java	(revision 477)
+++ /DCWoRMS/trunk/build/classes/schedframe/scheduling/tasks/AbstractProcesses.java	(revision 539)
@@ -3,5 +3,5 @@
 import schedframe.scheduling.tasks.requirements.ResourceParameterName;
 
-public abstract class AbstractProcesses<T> implements WorkloadUnit<T>{
+public abstract class AbstractProcesses implements WorkloadUnit{
 	
 	
Index: /DCWoRMS/trunk/build/classes/schedframe/scheduling/tasks/JobInterface.java
===================================================================
--- /DCWoRMS/trunk/build/classes/schedframe/scheduling/tasks/JobInterface.java	(revision 477)
+++ /DCWoRMS/trunk/build/classes/schedframe/scheduling/tasks/JobInterface.java	(revision 539)
@@ -11,5 +11,5 @@
  *
  */
-public interface JobInterface<T> extends WorkloadUnit<T> {
+public interface JobInterface<T> extends WorkloadUnit, DescriptionContainer<T> {
 
 	/**
@@ -18,5 +18,5 @@
 	 * @throws NoSuchFieldException if there is no tasks for this job, and job id can not be obtained
 	 */
-	public abstract String getId() throws NoSuchFieldException;
+	//public abstract String getId() throws NoSuchFieldException;
 	
 	/**
@@ -44,6 +44,6 @@
 	 * @return constant which represents current status of this job
 	 */
-	public int getStatus();
+	//public int getStatus();
 	
-	public int getUserID();
+	//public int getUserID();
 }
Index: /DCWoRMS/trunk/build/classes/schedframe/scheduling/policy/AbstractManagementSystem.java
===================================================================
--- /DCWoRMS/trunk/build/classes/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 477)
+++ /DCWoRMS/trunk/build/classes/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 539)
@@ -8,7 +8,10 @@
 import org.joda.time.DateTimeUtilsExt;
 
+import dcworms.schedframe.scheduling.ExecTask;
+import dcworms.schedframe.scheduling.Executable;
+import dcworms.schedframe.scheduling.queues.AbstractStatsSupportingQueue;
+
 import schedframe.PluginConfiguration;
 import schedframe.events.scheduling.SchedulingEventType;
-import schedframe.resources.units.StandardResourceUnitName;
 import schedframe.scheduling.Scheduler;
 import schedframe.scheduling.WorkloadUnitHandler;
@@ -16,6 +19,6 @@
 import schedframe.scheduling.manager.resources.ResourceManager;
 import schedframe.scheduling.manager.resources.ResourceManagerFactory;
+import schedframe.scheduling.manager.tasks.JobRegistry;
 import schedframe.scheduling.manager.tasks.JobRegistryImpl;
-import schedframe.scheduling.manager.tasks.JobRegistry;
 import schedframe.scheduling.plan.AllocationInterface;
 import schedframe.scheduling.plan.SchedulingPlanInterface;
@@ -27,15 +30,12 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.Job;
+import schedframe.scheduling.tasks.TaskInterface;
 import schedframe.scheduling.tasks.WorkloadUnit;
-import simulator.WormsConstants;
+import simulator.DCWormsConstants;
 import eduni.simjava.Sim_event;
 import gridsim.GridSim;
 import gridsim.GridSimTags;
-import gridsim.Gridlet;
 import gridsim.IO_data;
-import gridsim.gssim.WormsTags;
-import gssim.schedframe.scheduling.ExecTask;
-import gssim.schedframe.scheduling.Executable;
-import gssim.schedframe.scheduling.queues.AbstractStatsSupportingQueue;
+import gridsim.dcworms.DCWormsTags;
 
 public abstract class AbstractManagementSystem {
@@ -45,15 +45,13 @@
 	protected String name;
 
+	protected TaskQueueList queues;
 	protected ResourceManager resourceManager;
-
-	protected TaskQueueList queues;
-
+	protected JobRegistryImpl jobRegistry;
+	protected ModuleList moduleList;
+	
 	protected SchedulingPlugin schedulingPlugin;
-
 	protected ExecutionTimeEstimationPlugin execTimeEstimationPlugin;
 
-	protected ModuleList moduleList;
-	
-	protected JobRegistryImpl jobRegistry;
+	protected Scheduler scheduler;
 	
 
@@ -67,4 +65,17 @@
 	}
 	
+	public void init(Scheduler sched, ManagedResources managedResources) {
+		scheduler = sched;
+		resourceManager = ResourceManagerFactory.createResourceManager(scheduler, managedResources);
+		scheduler.set_stat(DCWormsConstants.getResourcesStatisticsObject(queues.size()));
+		for(int i = 0; i < queues.size(); i++){
+			TaskQueue q = queues.get(i);
+			if(q instanceof AbstractStatsSupportingQueue<?>){
+				AbstractStatsSupportingQueue<?> queue = (AbstractStatsSupportingQueue<?>) q;
+				queue.setStats(scheduler.get_stat(), DCWormsConstants.TASKS_QUEUE_LENGTH_MEASURE_NAME + "_" + Integer.toString(i));
+			}
+		}
+	}
+	
 	public void processEvent(Sim_event ev) {
 		processOtherEvent(ev);
@@ -81,10 +92,7 @@
 	}
 	
+	
 	public String getName() {
 		return name;
-	}
-
-	public PluginConfiguration getSchedulingPluginConfiguration() {
-		return schedulingPlugin.getConfiguration();
 	}
 	
@@ -106,4 +114,12 @@
 		return jobRegistry;
 	}
+	
+	public Scheduler getScheduler() {
+		return scheduler;
+	}
+	
+	public PluginConfiguration getSchedulingPluginConfiguration() {
+		return schedulingPlugin.getConfiguration();
+	}
 
 	public boolean pluginSupportsEvent(int eventType){
@@ -111,68 +127,38 @@
 	}
 
-	public abstract void notifySubmittedWorkloadUnit(WorkloadUnit<?> wu, boolean ack);
-
-	public abstract void notifyCanceledWorkloadUnit(WorkloadUnit<?> wu);
-
-	public abstract void notifyReturnedWorkloadUnit(WorkloadUnit<?> wu);
-
-	protected abstract void executeSchedulingPlan(SchedulingPlanInterface decision);
-
-
-
+	public TaskQueueList getQueues(){
+		return queues;
+	}
+	
+	public Map<String, Integer> getQueuesSize() {
+		Map<String, Integer> queue_size = new HashMap<String, Integer>();
+		for (TaskQueue queue : queues) {
+			queue_size.put(queue.getName(), queue.size());
+		}
+		return queue_size;
+	}
+	
 	//POPRAWIC  (ale co? bo teraz chyba jest ok)
-	protected void submitWorkloadUnit(WorkloadUnit<?> wu, AllocationInterface allocation) {
+	protected void submitTask(TaskInterface<?> task, AllocationInterface<?> allocation) {
 		String providerName = allocation.getProviderName();
 		if (providerName == null) {
 			return;
 		}
-		//Executable exec = (Executable) wu;
-		removeFromQueue(wu);
-		scheduler.send(providerName, GridSimTags.SCHEDULE_NOW, GridSimTags.GRIDLET_SUBMIT, wu);	
-	}
-	
-	protected boolean sendCanceledWorkloadUnit(int tag, Executable task, int executableId, int destId) {
-		
-		if (tag != GridSimTags.GRIDLET_CANCEL) {
-			return false;
-		}
-
-		long taskSize = 0;
-		if (task != null) {
-			taskSize = task.getGridletOutputSize();
-		}
-
-		// if no Gridlet found, then create a new Gridlet but set its status
-		// to FAILED. Then, most importantly, set the resource parameters
-		// because the user will search/filter based on a resource ID.
-		else if (task == null) {
-			try {
-				taskSize = 100;
-				task = jobRegistry.getTaskExecutable(executableId);
-				task.setGridletStatus(Gridlet.FAILED);
-				int cost = resourceManager.getSharedResourceUnits().get(StandardResourceUnitName.COST) != null ? resourceManager
-						.getSharedResourceUnits().get(StandardResourceUnitName.COST).get(0).getAmount()
-						: 1;
-				task.setResourceParameter(scheduler.get_id(), cost);
-			} catch (Exception e) {
-				// empty ...
-			}
-		}
-		scheduler.send(scheduler.getOutputPort(), GridSimTags.SCHEDULE_NOW, tag,  new IO_data(task, taskSize, destId));
-
-		return true;
-	}
-
-	protected boolean sendFinishedWorkloadUnit(WorkloadUnit<?> wu) {
+		removeFromQueue(task);
+		scheduler.send(providerName, GridSimTags.SCHEDULE_NOW, GridSimTags.GRIDLET_SUBMIT, task);	
+	}
+
+	protected boolean sendFinishedWorkloadUnit(WorkloadUnit wu) {
 		
 		Executable exec = (Executable) wu;
 		if(scheduler.getParent() == null)
 		{
-			Job job = jobRegistry.get(exec.getJobId());
+			Job job = jobRegistry.getJob(exec.getJobId());
 
 			if(job.isFinished()){
 				scheduler.send(job.getSenderId(), GridSimTags.SCHEDULE_NOW, GridSimTags.GRIDLET_RETURN, job);
 				return true;
-			}else return true;
+			}
+			else return true;
 		}
 	
@@ -183,10 +169,4 @@
 
 	protected void sendExecutableReadyEvent(ExecTask exec) {
-
-		/*if (wu instanceof JobInterface) {
-			scheduler.sendInternal(Long.valueOf(0).doubleValue(), GssimTags.TASK_READY_FOR_EXECUTION,
-					wu);
-			return;
-		}*/
 
 		long delay = 0;
@@ -201,5 +181,5 @@
 		}
 
-		scheduler.sendInternal(Long.valueOf(delay).doubleValue(), WormsTags.TASK_READY_FOR_EXECUTION,
+		scheduler.sendInternal(Long.valueOf(delay).doubleValue(), DCWormsTags.TASK_READY_FOR_EXECUTION,
 				exec);
 	}
@@ -213,5 +193,5 @@
 				if (obj != null) {
 					int delay = (Integer) obj;
-					scheduler.sendInternal(delay, WormsTags.TIMER, null);
+					scheduler.sendInternal(delay, DCWormsTags.TIMER, null);
 				}
 			}
@@ -219,8 +199,8 @@
 	}
 	
-	protected boolean removeFromQueue(WorkloadUnit<?> wu) {
+	protected boolean removeFromQueue(TaskInterface<?> task) {
 		for(TaskQueue queue : queues){
-			if(queue.contains(wu)){
-				queue.remove(wu);
+			if(queue.contains(task)){
+				queue.remove(task);
 				return true;
 			}
@@ -228,37 +208,12 @@
 		return false;
 	}
-
-	public TaskQueueList getAccessQueues(){
-		return queues;
-	}
-	
-	public Map<String, Integer> getQueuesSize() {
-		Map<String, Integer> queue_size = new HashMap<String, Integer>();
-		for (TaskQueue queue : queues) {
-			queue_size.put(queue.getName(), queue.size());
-		}
-		return queue_size;
-	}
-
-	public void init(Scheduler sched, ManagedResources managedResources) {
-		scheduler = sched;
-		resourceManager = ResourceManagerFactory.createResourceManager(scheduler, managedResources);
-		scheduler.set_stat(WormsConstants.getResourcesStatisticsObject(queues.size()));
-		for(int i = 0; i < queues.size(); i++){
-			TaskQueue q = queues.get(i);
-			if(q instanceof AbstractStatsSupportingQueue<?>){
-				AbstractStatsSupportingQueue<?> queue = (AbstractStatsSupportingQueue<?>) q;
-				queue.setStats(scheduler.get_stat(), WormsConstants.TASKS_QUEUE_LENGTH_MEASURE_NAME + "_" + Integer.toString(i));
-			}
-		}
-	}
-
-	protected Scheduler scheduler;
-
-	public Scheduler getScheduler() {
-		return scheduler;
-	}
 	
 	public abstract WorkloadUnitHandler getWorkloadUnitHandler();
+	
+	public abstract void notifySubmittedWorkloadUnit(WorkloadUnit wu, boolean ack);
+
+	public abstract void notifyReturnedWorkloadUnit(WorkloadUnit wu);
+
+	protected abstract void executeSchedulingPlan(SchedulingPlanInterface<?> decision);
 
 }
